Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1991872

Summary: F35FailsToInstall: ghc-codec-rpm, ghc-codec-rpm-devel, ghc-codec-rpm-prof
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: ghc-codec-rpmAssignee: David Shea <reallylongword>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: reallylongword
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-24 10:27:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1927313    

Description Miro Hrončok 2021-08-10 10:58:29 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (ghc-codec-rpm) Fails To Install in Fedora 35:

can't install ghc-codec-rpm:
  - nothing provides libHSbase-4.13.0.0-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSghc-prim-0.5.3-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSbytestring-0.10.10.1-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSinteger-gmp-1.0.2.0-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHStext-1.2.4.0-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSmtl-2.2.2-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSattoparsec-0.13.2.4-6pdJvsCYDtQ1ZikLcQPH6i-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSconduit-1.3.2-GEXEZMtviOuHNxrPcLgmIL-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSconduit-extra-1.3.5-L63PAS5C8gV6HUdaFkL6gF-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSparsec-3.1.14.0-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSattoparsec-binary-0.2-2CW9DGJuf57L1koC850lql-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSlzma-conduit-1.2.1-IPL4dm45PODPwd9TwQH0v-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSpretty-1.1.3.6-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  - nothing provides libHSresourcet-1.2.4.2-BShiHv2u3v34Zgdp68CuDV-ghc8.8.4.so()(64bit) needed by ghc-codec-rpm-0.2.2-11.fc35.x86_64
  
can't install ghc-codec-rpm-devel:
  - nothing provides ghc-devel(base-4.13.0.0) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(bytestring-0.10.10.1) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(text-1.2.4.0) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(conduit-1.3.2-GEXEZMtviOuHNxrPcLgmIL) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(conduit-extra-1.3.5-L63PAS5C8gV6HUdaFkL6gF) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(attoparsec-0.13.2.4-6pdJvsCYDtQ1ZikLcQPH6i) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(attoparsec-binary-0.2-2CW9DGJuf57L1koC850lql) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(lzma-conduit-1.2.1-IPL4dm45PODPwd9TwQH0v) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-devel(resourcet-1.2.4.2-BShiHv2u3v34Zgdp68CuDV) needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  - nothing provides ghc-compiler = 8.8.4 needed by ghc-codec-rpm-devel-0.2.2-11.fc35.x86_64
  
can't install ghc-codec-rpm-prof:
  - nothing provides ghc-prof(base-4.13.0.0) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(bytestring-0.10.10.1) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(text-1.2.4.0) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(conduit-1.3.2-GEXEZMtviOuHNxrPcLgmIL) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(conduit-extra-1.3.5-L63PAS5C8gV6HUdaFkL6gF) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(attoparsec-0.13.2.4-6pdJvsCYDtQ1ZikLcQPH6i) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(attoparsec-binary-0.2-2CW9DGJuf57L1koC850lql) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(lzma-conduit-1.2.1-IPL4dm45PODPwd9TwQH0v) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  - nothing provides ghc-prof(resourcet-1.2.4.2-BShiHv2u3v34Zgdp68CuDV) needed by ghc-codec-rpm-prof-0.2.2-11.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:37:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-18 08:41:17 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2021-08-24 09:49:29 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 4 Miro Hrončok 2021-08-24 10:27:06 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!